org.custommonkey.xmlunit

## Interface ElementQualifier

All Known Implementing Classes:
  ElementNameAndAttributeQualifier, ElementNameAndTextQualifier, ElementNameQualifier, MultiLevelElementNameAndTextQualifier, RecursiveElementNameAndTextQualifier

    public interface ElementQualifier

Interface used by the DifferenceEngine class to determine which elements can be compared within a NodeList of child nodes.
Examples and more at xmlunit.sourceforge.net

See Also:
  `DifferenceEngine.compareNodeList(NodeList, NodeList, int, DifferenceListener, ElementQualifier)`, `Diff.overrideElementQualifier(ElementQualifier)`

### Method Summary

Methods
`boolean` `qualifyForComparison(org.w3c.dom.Element control, org.w3c.dom.Element test)` Determine whether two elements are comparable

### Method Detail

#### qualifyForComparison

    boolean qualifyForComparison(org.w3c.dom.Element control,
                               org.w3c.dom.Element test)

Determine whether two elements are comparable

Parameters:
  `control` - an Element from the control XML NodeList
  `test` - an Element from the test XML NodeList
Returns:
  true if the elements are comparable, false otherwise